package org.jk.system.domain;


import cn.idev.excel.annotation.ExcelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.jk.common.mybatis.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 document_audit_info
 *
 * @author takai
 * @date 2025-05-29
 */
public class DocumentAuditInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String appId;

    /** $column.columnComment */
    private Integer nodeOrder;

    /** $column.columnComment */
    private String approver;

    /** $column.columnComment */
    private String status;

    /** $column.columnComment */
    private String comment;

    private String userName;

    private String name;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public void setNodeOrder(Integer nodeOrder)
    {
        this.nodeOrder = nodeOrder;
    }

    public Integer getNodeOrder()
    {
        return nodeOrder;
    }
    public void setApprover(String approver)
    {
        this.approver = approver;
    }

    public String getApprover()
    {
        return approver;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setComment(String comment)
    {
        this.comment = comment;
    }

    public String getComment()
    {
        return comment;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appId", getAppId())
            .append("nodeOrder", getNodeOrder())
            .append("approver", getApprover())
            .append("status", getStatus())
            .append("comment", getComment())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
